Skip to main content
PATCH
Update Conversation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Api-key
string | null

Path Parameters

conversation_id
string
required

Body

application/json
title
string | null
context
ConversationContext · object | null

Response

Successful Response

id
string<uuid>
required
conversation_type
enum<string>
required
Available options:
USER_CHAT,
TASK_RUN,
TRAINING_SUPERVISION
title
string
required
created_at
string<date-time>
required
context
ConversationContext · object | null
required
last_assistant
string | null
required
associated_entity_id
string<uuid> | null
associated_entity_type
enum<string> | null
Available options:
DASHBOARD,
PIPELINE,
AUTOMATION,
REPORT
lease_epoch
integer | null
last_user_message_at
string<date-time> | null
summary
string | null
pipeline_plan
Pipeline Plan · object | null
skill_run_state
Skill Run State · object | null
work_order
Work Order · object | null